package de.intevation.flys.model;

import java.math.BigDecimal;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.Column;
import javax.persistence.SequenceGenerator;
import javax.persistence.GenerationType;

@Entity
@Table(name = "wst_q_ranges")
public class WstQRange
implements   Serializable
{
    private Integer    id;
    private Range      range;
    private BigDecimal q;

    public WstQRange() {
    }

    @Id
    @SequenceGenerator(
        name           = "SEQUENCE_WST_Q_RANGES_ID_SEQ",
        sequenceName   = "WST_Q_RANGES_ID_SEQ",
        allocationSize = 1)
    @GeneratedValue(
        strategy  = GenerationType.SEQUENCE,
        generator = "SEQUENCE_WST_Q_RANGES_ID_SEQ")
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Range getRange() {
        return range;
    }

    public void setRange(Range range) {
        this.range = range;
    }

    @Column(name = "q") // FIXME: type mapping needed?!
    public BigDecimal getQ() {
        return q;
    }

    public void setQ(BigDecimal q) {
        this.q = q;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
